﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SampleBindingXamDataGrid.Common;
using System.Collections.ObjectModel;
using System.Windows;

namespace SampleBindingXamDataGrid.ViewModel
{
    public class CustomerViewModel:ViewModelBase
    {
        public CustomerViewModel()
        {
            _customerCollection.Add(new Customer { Name = "Arun", Number = 404, Place = "Vizag" });
            _customerCollection.Add(new Customer { Name = "Saravanan", Number = 176, Place = "Chennai" });
            _customerCollection.Add(new Customer { Name = "Anu", Number = 322, Place = "Madhurai" });
            _customerCollection.Add(new Customer { Name = "Rajan", Number = 201, Place = "Coimbatore" });
            _customerCollection.Add(new Customer { Name = "Shiva", Number = 207, Place = "Anantapur" });
        }

         private ObservableCollection<Customer> _customerCollection = new ObservableCollection<Customer>();
         private Customer _selectedCustomer=new Customer();

         public Customer SelectedCustomer
         {
             get { return _selectedCustomer; }
             set
             {
                 _selectedCustomer = value;

                 if (value == null)
                     MessageBox.Show("Deselected row: " + _selectedCustomer.Number);
                 else
                     MessageBox.Show("Selected row: " + _selectedCustomer.Number);

                 
                 RaisePropertyChangedEvent("SelectedCustomer");
             }
         }

         public ObservableCollection<Customer> CustomerCollection
         {
             get { return _customerCollection; }
             set
             {
                 _customerCollection = value;
                 RaisePropertyChangedEvent("CustomerCollection");
             }
         }
    }
}
